### Function

# Pango.attr_gravity_new

#### Declaration [src]

    PangoAttribute*
    pango_attr_gravity_new (
      PangoGravity gravity
    )

#### Description [src]

Create a new gravity attribute.

#### Parameters

`gravity` | `PangoGravity`
| the gravity value; should not be `PANGO_GRAVITY_AUTO`.

#### Return value

Returns: `PangoAttribute`
the newly allocated `PangoAttribute`, which should be freed with `pango_attribute_destroy()`.
Ownership of the data is transferred to the caller